Subject: bug#36357: Wrong Ghostscript program name on MS Win

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Mar 2020 20:25:07 +0200

> Cc: [email-masked]
> From: Sebastian Urban <[email-masked]>
> Date: Wed, 18 Mar 2020 18:26:31 +0100
> 
> > What "if" did you have in mind?  Emacs cannot know which version of 
> > Ghostscript is installed, and there's no way I know of to code a    
> > reasonable condition for that.                                      
> 
> Whether the OS is 64bit or 32bit

A 64-bit OS can perfectly well run 32-bit executables.

> This doesn't solve the problem, but better defaults are better
> defaults.

I'm not convinced this is a better default.  My 64-bit Windows system
is full of 32-bit executables, both those that I compiled and those I
did not.  If your proposal is a better default, how come no one
complained about this?